package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.adapter.bean.BaseBean;

import java.util.Date;

/**
 * <p>
 * 企业信息 历史表
 * </p>
 *
 * @author liutao
 * @since 2023-12-01
 */
@TableName("c_enterprise_history")
public class CEnterpriseHistory extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 公司名称
     */
    @TableField("corporate_name")
    private String corporateName;

    /**
     * 统一社会信用代码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;

    /**
     * 法人代表
     */
    @TableField("legal_representative")
    private String legalRepresentative;

    /**
     * 大股东
     */
    @TableField("major_shareholders")
    private String majorShareholders;

    /**
     * 实控人
     */
    @TableField("controller")
    private String controller;

    /**
     * 成立日期
     */
    @TableField("start_sate")
    private Date startSate;

    /**
     * 注册资本（万）
     */
    @TableField("registered_capital")
    private String registeredCapital;

    /**
     * 注册（登记）地址
     */
    @TableField("address")
    private String address;

    /**
     * 实际经营地址
     */
    @TableField("business_address")
    private String businessAddress;

    /**
     * sop综合风险排查信息表id  企业
     */
    @TableField("c_comprehensive_risk_investigation_id")
    private Long cComprehensiveRiskInvestigationId;

    /**
     * sop法人董监高风险扫描表id
     */
    @TableField("c_dongjiangao_risk_id")
    private Long cDongjiangaoRiskId;

    /**
     * sop大股东董监高风险扫描表id
     */
    @TableField("c_dongjiangao_risk_big_id")
    private Long cDongjiangaoRiskBigId;

    /**
     * sop实控人董监高风险扫描表id
     */
    @TableField("c_dongjiangao_risk_controller_id")
    private Long cDongjiangaoRiskControllerId;

    /**
     * 企业准入状态
     */
    @TableField("status")
    private String status;

    /**
     * 企业认证状态 0：未认证 1：已认证
     */
    @TableField("auth_status")
    private Boolean authStatus;

    /**
     * 企业认证短链接
     */
    @TableField("short_auth_url")
    private String shortAuthUrl;

    /**
     * 企业认证链接
     */
    @TableField("auth_url")
    private String authUrl;

    /**
     * 企业授权授权书签署状态 0：未签署 1：已签署
     */
    @TableField("certificate_sign_status")
    private Integer certificateSignStatus;

    /**
     * 授权书签署短链接
     */
    @TableField("certificate_short_sign_url")
    private String certificateShortSignUrl;

    /**
     * 授权书签署链接
     */
    @TableField("certificate_sign_url")
    private String certificateSignUrl;

    /**
     * 授权书合同编号
     */
    @TableField("certificate_contract_id")
    private String certificateContractId;

    /**
     * 在法大大上的客户编号
     */
    @TableField("fdd_customer_id")
    private String fddCustomerId;

    /**
     * 企业授权自动签署状态 0：未认证 1：已认证
     */
    @TableField("auto_sign_status")
    private Integer autoSignStatus;

    /**
     * 自动签署短链接
     */
    @TableField("short_auto_sign_url")
    private String shortAutoSignUrl;

    /**
     * 自动签署链接
     */
    @TableField("auto_sign_url")
    private String autoSignUrl;

    public Boolean getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Boolean authStatus) {
        this.authStatus = authStatus;
    }

    public String getShortAuthUrl() {
        return shortAuthUrl;
    }

    public void setShortAuthUrl(String shortAuthUrl) {
        this.shortAuthUrl = shortAuthUrl;
    }

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }

    public Integer getCertificateSignStatus() {
        return certificateSignStatus;
    }

    public void setCertificateSignStatus(Integer certificateSignStatus) {
        this.certificateSignStatus = certificateSignStatus;
    }

    public String getCertificateShortSignUrl() {
        return certificateShortSignUrl;
    }

    public void setCertificateShortSignUrl(String certificateShortSignUrl) {
        this.certificateShortSignUrl = certificateShortSignUrl;
    }

    public String getCertificateSignUrl() {
        return certificateSignUrl;
    }

    public void setCertificateSignUrl(String certificateSignUrl) {
        this.certificateSignUrl = certificateSignUrl;
    }

    public String getCertificateContractId() {
        return certificateContractId;
    }

    public void setCertificateContractId(String certificateContractId) {
        this.certificateContractId = certificateContractId;
    }

    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    public Integer getAutoSignStatus() {
        return autoSignStatus;
    }

    public void setAutoSignStatus(Integer autoSignStatus) {
        this.autoSignStatus = autoSignStatus;
    }

    public String getShortAutoSignUrl() {
        return shortAutoSignUrl;
    }

    public void setShortAutoSignUrl(String shortAutoSignUrl) {
        this.shortAutoSignUrl = shortAutoSignUrl;
    }

    public String getAutoSignUrl() {
        return autoSignUrl;
    }

    public void setAutoSignUrl(String autoSignUrl) {
        this.autoSignUrl = autoSignUrl;
    }

    public String getCorporateName() {
        return corporateName;
    }

    public void setCorporateName(String corporateName) {
        this.corporateName = corporateName;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }
    public String getLegalRepresentative() {
        return legalRepresentative;
    }

    public void setLegalRepresentative(String legalRepresentative) {
        this.legalRepresentative = legalRepresentative;
    }
    public String getMajorShareholders() {
        return majorShareholders;
    }

    public void setMajorShareholders(String majorShareholders) {
        this.majorShareholders = majorShareholders;
    }
    public Date getStartSate() {
        return startSate;
    }

    public void setStartSate(Date startSate) {
        this.startSate = startSate;
    }
    public String getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(String registeredCapital) {
        this.registeredCapital = registeredCapital;
    }
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
    public String getBusinessAddress() {
        return businessAddress;
    }

    public void setBusinessAddress(String businessAddress) {
        this.businessAddress = businessAddress;
    }
    public Long getcComprehensiveRiskInvestigationId() {
        return cComprehensiveRiskInvestigationId;
    }

    public void setcComprehensiveRiskInvestigationId(Long cComprehensiveRiskInvestigationId) {
        this.cComprehensiveRiskInvestigationId = cComprehensiveRiskInvestigationId;
    }
    public Long getcDongjiangaoRiskId() {
        return cDongjiangaoRiskId;
    }

    public void setcDongjiangaoRiskId(Long cDongjiangaoRiskId) {
        this.cDongjiangaoRiskId = cDongjiangaoRiskId;
    }
    public Long getcDongjiangaoRiskBigId() {
        return cDongjiangaoRiskBigId;
    }

    public void setcDongjiangaoRiskBigId(Long cDongjiangaoRiskBigId) {
        this.cDongjiangaoRiskBigId = cDongjiangaoRiskBigId;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}
